<?php

declare(strict_types=1);

namespace Drupal\ispim\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\Core\Entity\RevisionLogInterface;
use Drupal\file\FileInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * @property null|\Drupal\Core\Field\EntityReferenceFieldItemListInterface<\Drupal\file\FileInterface> $image
 * @property null|\Drupal\Core\Field\FieldItemListInterface<\Drupal\Core\Field\Plugin\Field\FieldType\IntegerItem> $weight
 *
 * @method \Drupal\Core\Entity\ContentEntityTypeInterface getEntityType()
 */
interface IspimPreviewImageInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface, RevisionLogInterface, EntityPublishedInterface {

  public const DEFAULT_PREVIEW_IMAGE = 'core/modules/image/sample.png';

  public function getCreatedTime(): int;

  public function setCreatedTime(int $timestamp): static;

  public function getWeight(): int;

  public function getImageFile(): ?FileInterface;

}
