<?php

declare(strict_types=1);

namespace Drupal\ispim\PreviewImage;

use Drupal\Core\Entity\Display\EntityViewDisplayInterface;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityViewBuilder;

class ViewBuilder extends EntityViewBuilder {

  /**
   * {@inheritdoc}
   *
   * @phpstan-param array<string, mixed> $build
   * @phpstan-param string $view_mode
   */
  protected function alterBuild(
    array &$build,
    EntityInterface $entity,
    EntityViewDisplayInterface $display,
    $view_mode,
  ): void {
    parent::alterBuild($build, $entity, $display, $view_mode);

    $build['#contextual_links'][$entity->getEntityTypeId()] = [
      'route_parameters' => [
        $entity->getEntityTypeId() => $entity->id(),
      ],
    ];
  }

}
