<?php

declare(strict_types=1);

namespace Drupal\Tests\ispim\FunctionalJavascript;

use Drupal\FunctionalJavascriptTests\WebDriverTestBase;

class TestBase extends WebDriverTestBase {

  /**
   * {@inheritdoc}
   */
  protected $profile = 'minimal';

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'olivero';

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'system',
    'user',
    'block',
    'field_ui',
    'media',
    'ispim',
  ];

  protected function setUp(): void {
    parent::setUp();

    \Drupal::service('theme_installer')
      ->install(['claro']);
    \Drupal::service('config.factory')
      ->getEditable('system.theme')
      ->set('admin', 'claro')
      ->save();

    $themes = [
      'olivero' => 'page_top',
      'claro' => 'help',
    ];
    foreach ($themes as $theme => $region) {
      $settings = [
        'theme' => $theme,
        'region' => $region,
      ];
      $this->placeBlock('local_tasks_block', $settings);
      $this->placeBlock('local_actions_block', $settings);
      $this->placeBlock('page_title_block', $settings);
      $this->placeBlock('system_breadcrumb_block', $settings);
    }
  }

}
